[hacktree] We can commit multiple times now
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [hacktree] We can commit multiple times now
- Date: Sat, 15 Oct 2011 03:18:29 +0000 (UTC)
commit f16aad3710a89596d1d9da1828ad24017646f892
Author: Colin Walters <walters verbum org>
Date: Fri Oct 14 23:17:50 2011 -0400
We can commit multiple times now
src/libhacktree/hacktree-repo.c | 2 +-
tests/t0003-commit-multiple.sh | 41 +++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+), 1 deletions(-)
---
diff --git a/src/libhacktree/hacktree-repo.c b/src/libhacktree/hacktree-repo.c
index ad8cc46..ae72545 100644
--- a/src/libhacktree/hacktree-repo.c
+++ b/src/libhacktree/hacktree-repo.c
@@ -786,7 +786,7 @@ load_commit_and_trees (HacktreeRepo *self,
*out_commit = ret_commit;
*out_tree_data = ret_tree_data;
}
- return FALSE;
+ return ret;
}
static GVariant *
diff --git a/tests/t0003-commit-multiple.sh b/tests/t0003-commit-multiple.sh
new file mode 100755
index 0000000..9036fba
--- /dev/null
+++ b/tests/t0003-commit-multiple.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters verbum org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Author: Colin Walters <walters verbum org>
+
+set -e
+
+. libtest.sh
+
+echo '1..4'
+
+mkdir files
+cd files
+echo first > firstfile
+echo second > secondfile
+
+mkdir ../repo
+repo="--repo=../repo"
+hacktree init $repo
+echo 'ok init'
+hacktree commit $repo -s "Test Commit 1" -b "Commit body first" --add=firstfile
+echo 'ok commit 1'
+hacktree commit $repo -s "Test Commit 2" -b "Commit body first" --add=secondfile
+echo 'ok commit 2'
+hacktree fsck -q $repo
+echo 'ok fsck'
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]